Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IIOP_EndpointsA.h File Reference

`#include "tao/orbconf.h"`

Include dependency graph for IIOP_EndpointsA.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Functions
TAO_Export void | operator<<= (CORBA::Any &, const TAO::IIOP_Endpoint_Info &)
TAO_Export void | operator<<= (CORBA::Any &, TAO::IIOP_Endpoint_Info *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO::IIOP_Endpoint_Info *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TAO::IIOP_Endpoint_Info *&)
TAO_Export void | operator<<= (CORBA::Any &, const TAO::IIOPEndpointSequence &)
TAO_Export void | operator<<= (CORBA::Any &, TAO::IIOPEndpointSequence *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO::IIOPEndpointSequence *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TAO::IIOPEndpointSequence *&)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | TAO::IIOPEndpointSequence * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TAO::IIOPEndpointSequence & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | TAO::IIOP_Endpoint_Info * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TAO::IIOP_Endpoint_Info & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TAO::IIOPEndpointSequence *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TAO::IIOPEndpointSequence *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TAO::IIOP_Endpoint_Info *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TAO::IIOP_Endpoint_Info *& |
| ) |